Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83542 - perl 5.8.0 doesn't build for sparc-linux
Summary: perl 5.8.0 doesn't build for sparc-linux
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: perl
Version: 1.0
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-05 15:24 UTC by Tom "spot" Callaway
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-11-08 15:37:58 UTC


Attachments (Terms of Use)
perl 5.8.0 patch to fix sparclinux builds (deleted)
2003-02-05 15:24 UTC, Tom "spot" Callaway
no flags Details | Diff

Description Tom "spot" Callaway 2003-02-05 15:24:18 UTC
It just needs -fPIC instead of -fpic, and the hints/linux.sh doesn't quite do
the check properly. Patch attached to this bug to resolve the issue.

Comment 1 Tom "spot" Callaway 2003-02-05 15:24:52 UTC
Created attachment 89868 [details]
perl 5.8.0 patch to fix sparclinux builds

Comment 2 Tom "spot" Callaway 2003-11-08 15:37:58 UTC
This patch got added at some point, perl 5.8.1 works fine on sparc.
Closing as RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.